export interface Config {
  OCMENGINE_HTTP_URL: string;
  OCMENGINE_WS_URL: string;
  TSA_URL: string;
  BASE_PATH: string;
}

const lsHttp = localStorage.getItem("OCMENGINE_HTTP_URL");
const lsWs = localStorage.getItem("OCMENGINE_WS_URL");
const tsaHttp = localStorage.getItem("TSA_URL");
export const getConfig = (): Config => {
  return {
    OCMENGINE_HTTP_URL: lsHttp || window.OCMENGINE_HTTP_URL,
    OCMENGINE_WS_URL: lsWs || window.OCMENGINE_WS_URL,
    TSA_URL: tsaHttp || window.TSA_URL,
    BASE_PATH: window.BASE_PATH,
  };
};

export default getConfig;
