import { CredentialPreviewAttributeOptions } from "@aries-framework/core";
import {
  AnonCredsCredential,
  AnonCredsCredentialOffer,
  AnonCredsCredentialProposalFormat,
  AnonCredsCredentialRequest,
} from "@aries-framework/anoncreds";

export class CredentialFormatDataDto {
  public proposalAttributes?: CredentialPreviewAttributeOptions[];
  public offerAttributes?: CredentialPreviewAttributeOptions[];
  public anoncredsProposal?: AnonCredsCredentialProposalFormat;
  public anoncredsOffer?: AnonCredsCredentialOffer;
  public anoncredsRequest?: AnonCredsCredentialRequest;
  public anoncredsCredential?: AnonCredsCredential;
}
